﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TheGameExtreme.model;
using TheGameExtreme.model.manager;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;
using TheGameExtreme.model.@event;
using TheGameExtreme.viewmodel;

namespace TheGameExtreme
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {

        private Main viewmodel = new Main();

        public MainPage()
        {
            InitializeComponent();

            pile0.SetBinding(Label.TextProperty, new Binding("Text", source: viewmodel.Stack0));
            pile1.SetBinding(Label.TextProperty, new Binding("Text", source: viewmodel.Stack1));
            pile2.SetBinding(Label.TextProperty, new Binding("Text", source: viewmodel.Stack2));
            //pile3.SetBinding(Label.TextProperty, new Binding("Value", source: viewmodel.Stack3));
            //card1.SetBinding(Button.TextProperty, new Binding("Text", source: viewmodel.))
        }

        private void played(object sender, EventArgs args)
        {
            string text = (sender as Button).Text;
            viewmodel.played(text);
        }

        private void endTurn(object sender, EventArgs args)
        {
            viewmodel.endTurn();
        }
    }
}
